# Trait heck::ToSnakeCase

source · [−]

    pub trait ToSnakeCase: ToOwned {
        fn to_snake_case(&self) -> Self::Owned;
    }

Expand description

This trait defines a snake case conversion.

In snake_case, word boundaries are indicated by underscores.

### Example:

    use heck::ToSnakeCase;

    let sentence = "We carry a new world here, in our hearts.";
    assert_eq!(sentence.to_snake_case(), "we_carry_a_new_world_here_in_our_hearts");

## Required Methods

source

#### fn to_snake_case(&self) -> Self::Owned

Convert this type to snake case.

## Implementations on Foreign Types

source

### impl ToSnakeCase for str

source

#### fn to_snake_case(&self) -> String

## Implementors